﻿<%@ Page Language="C#" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Import Namespace="System.Data" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    protected void RadGrid1_NeedDataSource(object sender, EventArgs e)
    {
        RadGrid1.DataSource = SampleData;
    }

    public DataTable SampleData
    {
        get
        {
            if (Session["_data"] == null || !Page.IsPostBack)
            {
                DataTable table = new DataTable();
                table.Columns.Add("ID", Type.GetType("System.Int32"));
                table.Columns.Add("Value1", Type.GetType("System.Double"));
                table.Columns.Add("Value2", Type.GetType("System.Double"));
                table.Columns.Add("Value3", Type.GetType("System.Double"));

                Random rand = new Random();

                for (int i = 0; i < 10; i++)
                {
                    table.Rows.Add(i,
                                   rand.Next(0, 50),
                                   rand.Next(0, 50),
                                   i * 12 * 100);
                }

                Session["_data"] = table;
            }

            DataTable original = (DataTable)Session["_data"];
            DataTable ret = original.Clone();
            DataRow[] sortedRows = original.Select("", "ID ASC");
            foreach (DataRow row in sortedRows)
            {
                ret.Rows.Add(row.ItemArray);
            }

            return ret;
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <asp:ScriptManager ID="SM" runat="server"></asp:ScriptManager>
    <telerik:RadGrid ID="RadGrid1" runat="server" Skin="Telerik" 
            AllowPaging="True" AllowSorting="True" PageSize="10" Width="200px" ShowStatusBar="true"
            OnNeedDataSource="RadGrid1_NeedDataSource" AutoGenerateColumns="false">
            <MasterTableView DataKeyNames="ID" Width="200px">
               <Columns>
                    <telerik:GridNumericColumn DataField="Value3" HeaderText="hrs." DataFormatString="{0:### ##0.00}" />
               </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    </div>
    </form>
</body>
</html>
